package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.batch.service.IKuaishouCampaignCopyDataService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 定时复制广告计划下的组+创意
 *
 * @param
 * @author ZHAOXA
 * @return
 * @throws
 */
@Component
public class KuaishouCampaignCopyDateJob {
    @Autowired
    private IKuaishouCampaignCopyDataService kuaishouCampaignCopyDataService;

    @XxlJob("kuaishouCampaignCopyDateJob")
    public void execute() throws Exception {
        kuaishouCampaignCopyDataService.batchCopyCampaign(null);
    }
}
